package com.anabas.ibus;

import com.anabas.gxo.*;
import com.anabas.util.misc.LogManager;
import javax.jms.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author
 * @version 1.0
 *
 * Converts javax.jms.MessageListener to GMS_MessageListenter
 */



public class IBusMessageListenerAdapter implements javax.jms.MessageListener {
  protected GMS_MessageListener m_listener;
  private GMS_SubscriberImpl  m_parent;

  public IBusMessageListenerAdapter(GMS_MessageListener aListener,GMS_SubscriberImpl parent) {
    super();
    m_listener = aListener;
    m_parent   = parent;
  }

  public void onMessage(Message m) {
   try {
      m_listener.onMessage(GMS_SubscriberImpl.convertMessage(m));
    } catch (GXO_Exception e) {
      LogManager.err("Subscriber","Received unsupported message type",e);
    } catch (Exception e) {
      LogManager.err("Subscriber","Error examining received message",e);
    }
  }
}
