/****************************************************************************
 * Enumeration Constants for JabberAnt
 * @author		Jonathan Paulson
 ****************************************************************************/
package com.anabas.pdasharedlet;

public class Constants
{
 public final static int UNABLE_TO_CONNECT = -1001;
 public final static int NOT_CONNECTED = -1002;
 public final static int SEND_FAILED = -1003;
 public final static int SEND_SUCCEEDED =  1;
 private int miValue = 0;

 public Constants(int newVal)
 {
  miValue=newVal;
 }

 public void value(int newVal)
 {
  miValue = newVal;
 }

 public int value()
 {
  return miValue;
 }

 public String toString()
 {
  return toString(miValue);
 }

 public static String toString(int value)
 {
  switch(value)
  {
   case SEND_SUCCEEDED:    return "Send Succeeded";
   case UNABLE_TO_CONNECT: return "Unable to connect";
   case NOT_CONNECTED:     return "Non connected";
   case SEND_FAILED:       return "Send failed";
   default:                return "UNKNOWN VALUE";
  }
 }
}


