package com.anabas.testsharedlet;

/**
 * Title:        ServerInterface.java
 * Description:  Test server GUI
 * Copyright:    Copyright (c) 2001
 * Company:      CSIT FSU
 * @author       Sangyoon Oh soh@csit.fsu.edu
 * @version 1.0
 */

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.net.*;
import javax.swing.*;

public class ServerInterface extends JFrame {

  public void initGUI() {
    setSize(350,230);

    addWindowListener( new WindowAdapter() {
      public void windowClosing( WindowEvent e ) {
        System.exit( 0 );
      }
      public void windowOpened(WindowEvent e) {}
      public void windowClosed(WindowEvent e) {}
      public void windowIconified(WindowEvent e) {}
      public void windowDeiconified(WindowEvent e) {}
      public void windowActivated(WindowEvent e) {}
      public void windowDeactivated(WindowEvent e) {}
    });

    // gui
    getContentPane().setLayout(new BorderLayout());
    getContentPane().add(serverInputpanel, BorderLayout.CENTER);

    // ready
    pack();
    setVisible(true);
  }

  public ServerInterface(PAdaptor pa) {
    super("Pseudo PDA Server");
    padaptor = pa;
    initGUI();
  }

  protected PAdaptor padaptor;
  protected ServerInputpanel serverInputpanel = new ServerInputpanel(this);
}