

import com.sun.image.codec.jpeg.*;

import java.awt.*;
import java.io.*;
import java.awt.image.*;

import com.anabas.shsharedlet.*;



class SD extends Frame {
    private Image img = null;
    private int width = 0;
    private int height = 0;
    private Image resizedimg = null;
    private int resizedwidth = 300;
    private int resizedheight = 500;
   
    private int[] pixels = null;
       
    public SD() {
                super("ImageCanvas") ;
                
                img = getToolkit().getImage("tmpout2.jpg");
                // start loading image.
                resizedimg =  getToolkit().getImage("tmpout2.jpg");
                
                System.out.println("contructor:loading image ....") ;
                resize(resizedwidth,resizedheight);
                show();
    }
    
    public void update() {
         System.out.println("testupdate");
         repaint();
    }
    public void paint(Graphics g) {
         g.drawImage(img,0,0,this);
                
     }

    public void getGMSMessage(SDBitmap msg){
         ColorModel cm = ColorModel.getRGBdefault(); 
         MemoryImageSource source = new MemoryImageSource(msg.width, msg.height, 
                                        cm, msg.data, 0, msg.width);          
         img = createImage(source);
         width = msg.width;
         height = msg.height;
         
         RotateImage();
         ScaleImage();
         SaveAsJPEG(img,"SDtmp02.jpg");
         update();
    }
    public void newimage(int[] mypix,int int1, int int2){
                 
                        
         ColorModel cm = ColorModel.getRGBdefault(); 
         MemoryImageSource source = new MemoryImageSource(int1, int2, 
                                        cm, mypix, 0, int1);          
         img = createImage(source);
         width = int1;
         height = int2;
         
         RotateImage();
         ScaleImage();
         SaveAsJPEG(img,"SDtmp02.jpg");
         update();
     }        
  
    public void newimage(byte[] mypix,int int1, int int2){
                 
         System.out.println(mypix);               
         ColorModel cm = ColorModel.getRGBdefault(); 
         MemoryImageSource source = new MemoryImageSource(int1, int2, 
                                        cm, mypix, 0, int1);   
         //byte[] mypixel = new byte[resizedwidth * resizedheight];
         //System.out.println(mypixel);
         //source.newPixels(mypixel, cm, 0, resizedwidth);
         //System.out.println(mypixel);

         img = createImage(source);
         width = int1;
         height = int2;
         
         RotateImage();
         ScaleImage();
         SaveAsJPEG(img,"SDtmp02.jpg");
         update();
     }        


      public void ScaleImage(){
         
         MediaTracker media = new MediaTracker(this);
         media.addImage(img,0);
         try {
             media.waitForID(0);
             ImageFilter replicate = 
                   new ReplicateScaleFilter(resizedwidth, resizedheight);
             ImageProducer prod = 
                               new FilteredImageSource(img.getSource(),replicate);
             img = createImage(prod);
             
             
             media.addImage(img,1);
             media.waitForID(1);
        }
        catch(InterruptedException e) {}      
      }

 
      public void RotateImage(){
         int[] rotate = new int[width * height];
         int[] pixels = new int[width * height];

         MediaTracker media = new MediaTracker(this);
         media.addImage(img,0);
         try {
             media.waitForID(0);
             PixelGrabber pg = new PixelGrabber(img, 0, 0, width,  
                                      height, pixels, 0, width);
             
             try{
                 pg.grabPixels();
             }
             catch(InterruptedException e) {
                 e.printStackTrace();
             }

               for (int y = 0; y < height ; y++) {
                 for (int x = 0; x <  width ; x++) {
                      rotate[((width-x-1)*height)+y] = 
                                 pixels[x+(y*width)];
                      
                 }
             }

             img = createImage(new MemoryImageSource(height, 
                                    width,rotate,0,height));

          }
          catch(Exception e) { e.printStackTrace(); }

      }
      public void SaveAsJPEG(Image img1, String str1) {
  
          BufferedImage bimg = null;
          int [] pixels = new int[resizedwidth * resizedheight];
          PixelGrabber pg = new PixelGrabber(img1, 0, 0, resizedwidth, resizedheight, 
                                             pixels, 0, resizedwidth);
          try {
               pg.grabPixels();
          }
          catch(InterruptedException ie) {
               ie.printStackTrace();
          }
          bimg = new BufferedImage(resizedwidth,resizedheight,BufferedImage.TYPE_INT_RGB);
          bimg.setRGB(0,0,resizedwidth,resizedheight,pixels,0,resizedwidth);
          try {
              File f = new File(str1);
              FileOutputStream fos = new FileOutputStream(f);
              JPEGImageEncoder jpeg = JPEGCodec.createJPEGEncoder(fos);
              jpeg.encode(bimg);
              fos.close();
          }
          catch(IOException e){};
       }


}
