package com.anabas.pdasharedlet;

/**
 * Title:        GSDListener.java
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      CSIT FSU
 * @author       Sangyoon Oh soh@csit.fsu.edu
 * @version 1.0
 */

import com.anabas.sdsharedlet.*;

import com.anabas.concepts.*;
import com.anabas.sharedlet.*;
import com.anabas.util.misc.LogManager;
import com.anabas.gxo.*;
import com.anabas.naming.*;

public class GSDListener extends Thread {

  private PdaControlView pcv;
  private SDSharedlet m_sdsharedlet;

  public GSDListener(PdaControlView o_pcv, SDSharedlet o_sdsharedlet) {
    this.pcv = o_pcv;
    this.m_sdsharedlet = o_sdsharedlet;
  }

  public void run() {
    while(true) {
      SDBitmap sdbitmap = m_sdsharedlet.getBitmap(0);
      pcv.pa.getSDMessage(sdbitmap);
      try {
        Thread.sleep(10000);
      }
      catch(InterruptedException e) {
        System.out.println(e.toString() );
      }
    }
  }
}