package com.anabas.sdsharedlet;

import java.awt.*;
import java.awt.event.*;

/**
 * Title:        Shared Display Sharedlet
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Anabas Inc.
 * @author
 * @version 1.0
 */

public class ImageTestDlg extends Dialog
{
    Panel           panel1 = new Panel();
    BorderLayout    borderLayout1 = new BorderLayout();
    Image	    img;

    public void setImage(Image image, int width, int height)
    {
	setSize(width, height);
	img = image;
	show();
    }

    public void paint(Graphics g)
    {
	g.drawImage(img, 0, 0, this);
    }

    public ImageTestDlg(Frame frame, String title, boolean modal)
    {
        super(frame, title, modal);
        enableEvents(AWTEvent.WINDOW_EVENT_MASK);
        try
	{
            jbInit();
            add(panel1);
            pack();
        }
        catch(Exception ex)
	{
            ex.printStackTrace();
        }
    }

    public ImageTestDlg(Frame frame)
    {
        this(frame, "", false);
    }

    public ImageTestDlg(Frame frame, boolean modal)
    {
        this(frame, "", modal);
    }

    public ImageTestDlg(Frame frame, String title)
    {
        this(frame, title, false);
    }
    void jbInit() throws Exception
    {
        panel1.setLayout(borderLayout1);
    }
    protected void processWindowEvent(WindowEvent e)
    {
        if (e.getID() == WindowEvent.WINDOW_CLOSING)
	{
            cancel();
        }
        super.processWindowEvent(e);
    }
    void cancel()
    {
        dispose();
    }
}