// tcpServer.java by fpont 3/2000
//Master : written by Sangmi Lee
//             3,26,2001
//         slee@csit.fsu.edu


import java.net.*;
import java.io.*;
import ShowImage;

public class Slave_PDA {
      // Definition of Input/Output Streams
	private FileInputStream inputfile;
      private FileOutputStream outputfile=null;
      private FileOutputStream outputfile1=null;

      private DataInputStream inputstream=null;
      private DataOutputStream output=null;

      // Definition of HHMS information
      private byte mid = (byte)1;           // machine id
      private byte aid = (byte)0;           // application id
      private byte tid = (byte)0;           // topic id
      private byte eid1 =(byte)0;           // event bit 1
      private byte eid2 =(byte)0;           // event bit 2
      private int MessageLength = 64;     // length of message chunk
      private int DataLength = 59;        // length of data chunk
      private int TagLength = 5;          // length of tag bytes
      private int NoSendData = 0;
   
    public Slave_PDA() {
      // information for socket control
	 int portE = 7000;
      //int portE = 6000;
	Socket socket = null;
      String Adapter = "144.174.137.186";

      // Useful variables
	int ERROR = 1;  
      int EOF = 1;

      // Definition of events      
      int OpenEventBus = 1;
      int ReadytoReceive = 1;
      int EndofData = 3;
      int Zoom25 = 10;
      int Zoom50 = 11;
      int Zoom75 = 12;
      int Zoom100 = 13;
      int Zoom125 = 14;
      int Zoom150 = 15;
      int Zoom175 = 16;
      int Zoom200 = 17;
      int EndofShow = 20;

      String sendstring = null;
    
	
      String receivedstring = null;
      
      
      int eventcontrol=1;  //when EventControl module is using this file
      int showimage=2;     //when ShowImage module is using this file
      int nouse = 0;       //when no module is using this file
      int File1 = nouse;   //status of File1
      int File2 = nouse;   //status of File2

	File f1 = new File("tmp1.jpg");
      File f2 = new File("tmp2.jpg");
      int myint = 0; 
      ShowImage si = new ShowImage(1);
	try {
	    
	    socket = new Socket(Adapter,portE);
	    System.out.println("Connetec to Adapter on port"+ 
			       socket.getLocalPort()+"  Waiting collaborative action");
          inputstream = new DataInputStream(socket.getInputStream());
          output = new DataOutputStream(socket.getOutputStream());
          
          String ms = "11000test";
          output.writeInt(ms.length());
          byte[] msb = ms.getBytes();
          output.write(msb);
  
      }
      catch (IOException e) {System.out.println(e);}


      while(true) {
             
          byte[] buf = new byte[DataLength];
	    try {
               
               buf = ReceiveMessage();	                         
               if ((int)eid2 == OpenEventBus) {
                   System.out.println((int)eid2);
                   System.out.println("got message");
                   //SendEvent(ReadytoReceive);
                   //System.out.println("ready message");
                   outputfile = new FileOutputStream("tmp2.jpg");
               
                   System.out.println("got message");
              
                   while(true){
                   
                       buf = ReceiveMessage();
                       System.out.println( (int)eid2 );
                       if ( (int)eid2 == EndofData ){
                           System.out.println("Data transfer is finished.");
                           break;
                       }
                       outputfile.write(buf, 0, DataLength);
                       
                   }
                   outputfile.close();
                   
                   System.out.println("tmp2");
                   si.ImageSwitch(2);
               }            
               else System.out.println("Error in handshaking.");

  	    }//end of try              
	    catch (IOException e) {
                System.out.println(e);
                break;
          }
      
      
     
      
          //ShowImage si = new ShowImage(1);
          try{
              buf = ReceiveMessage();
              if ((int)eid2 == OpenEventBus) {
                 System.out.println((int)eid2);
                 System.out.println("got message");
                 //SendEvent(ReadytoReceive);
                 System.out.println("ready to receive");
         
                 outputfile1 = new FileOutputStream("tmp1.jpg");
    
  
                 while(true){
                     buf = ReceiveMessage();
                     System.out.println( (int)eid2 );
                     if ( (int)eid2 == EndofData ){
                         System.out.println("Data transfer is finished..");
                         
                         break;                       
                     }
                     outputfile1.write(buf, 0, DataLength);
                 }
                 outputfile1.close();
                 System.out.println("tmp1");
                 si.ImageSwitch(1);
           	  }
              else System.out.println("Error in handshaking.");  
          }        
	    catch (IOException e) {
                 System.out.println(e);
          }
      
   
       }//end of while   
       System.out.println("....Finishing.");
  }//end of constructor


  public int SendEvent(int i) {
             byte[] bytemessage = new byte[MessageLength];
             try {
                  bytemessage[0] = mid;
                  bytemessage[1] = aid;
                  bytemessage[2] = tid;
                  bytemessage[3] = eid1;
                  bytemessage[4] = (byte) i;
                  bytemessage[5] = (byte) NoSendData; 
                                   
                  output.write(bytemessage);
                  System.out.println(".....Finishing sending event");
                  return(1);
             }//end of try
             catch (IOException e){
                  System.out.println(e);
                  return(0);}
  }
 
  public byte[] ReceiveMessage(){
                byte[] revent = new byte[MessageLength];
                byte[] returnmessage = new byte[DataLength];  
                try{
                    int int0;
                    int0 = inputstream.readInt();
                    int m = inputstream.read(revent,0,MessageLength);
                    System.out.println("Got message :" + m);
                    mid = revent[0];
                    aid = revent[1];
                    tid = revent[2];
                    eid1 = revent[3];
                    eid2 = revent[4];
                    int i = 0;
                    for (i = 0; i<DataLength ;i++) returnmessage[i] = revent[i+TagLength];
                    System.out.println(i);
                                    }
                catch (IOException e){
                    System.out.println(e);}
                
                return(returnmessage);
    }
     

		
}//end of class
		
		
