package com.anabas.commsharedlet;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import com.anabas.sharedlet.*;
import com.anabas.util.misc.LogManager;
import com.anabas.util.ui.AnabasJPanel;

public class CommunicationView extends JPanel implements SharedletView{

   private SharedletViewRenderer m_myRenderer;
   private String m_myName;
//   private AudioTalkInApplication m_audioTalk;
   private Textchat m_textchat;

   public CommunicationView(){
     super();
     m_myName = "Audio and Text Chat";
     m_myRenderer = new JavaViewRenderer(this,this);
//     m_audioTalk = new AudioTalkInApplication();
     m_textchat = new Textchat();
     this.setLayout(new GridBagLayout());
     this.setPreferredSize(new Dimension(600,160));
//     constrain(this,m_audioTalk,0,0,1,1,GridBagConstraints.NONE,
//             GridBagConstraints.NORTHWEST, 0.0, 0.0,3,3,3,3);
     constrain(this,m_textchat,0,0,1,1,GridBagConstraints.BOTH,
             GridBagConstraints.NORTHWEST, 1.0, 1.0,3,3,3,3);
   }

   public String getID(){
     return m_myName;
   }

   public SharedletViewRenderer getRenderer(String MIMEType) {
     if (MIMEType.equals("application/java")) {
       return m_myRenderer;
     }
     return null;
   }


  private void constrain( Container container, Component component,
             int grid_x,int grid_y, int grid_width, int grid_height,
             int fill, int anchor, double weight_x, double weight_y,
             int top, int left, int bottom, int right)
   {
      GridBagConstraints c= new GridBagConstraints();
      c.gridx=grid_x; c.gridy=grid_y;
      c.gridwidth=grid_width; c.gridheight=grid_height;
      c.fill=fill; c.anchor=anchor;
      c.weightx=weight_x; c.weighty=weight_y;
      if(top+bottom+left+right>0)
      c.insets = new Insets(top,left,bottom,right);
      ((GridBagLayout)container.getLayout()).setConstraints(component, c);
      container.add(component);
   }

   public void deactivate(){
     m_textchat.deactivate();
   }

   public void activate(){}

   public void loadDocument(java.net.URL url){}
}