package com.anabas.commsharedlet;

/**
 * Title:        Communication Sharedlet
 * Description:  Implements audiotalk and textchat
 * Copyright:    Copyright (c) 2001
 * Company:      Anabas
 * @author Xu Geng
 * @version 1.0
 */
import audiotalk.hearmevoicelib.*;
import java.util.Vector;

public class HearMeVoiceListener implements _DAXAudioTalkEventsListener{

  private Vector m_listener;
  public HearMeVoiceListener() {
    m_listener = new Vector();
  }

  public void addListener(_DAXAudioTalkEventsListener al){
    m_listener.addElement(al);
  }

  public void removeListener(_DAXAudioTalkEventsListener al){
    if(m_listener.contains(al))m_listener.removeElement(al);
  }

  public void TunneledMessageIndication(_DAXAudioTalkEventsEvent e0){
//      System.out.println("TunneledMessageIndication "+e0.getArguments());
  }

  public void QueParticipantsChanged(_DAXAudioTalkEventsEvent e0){
//      System.out.println("QueParticipantsChanged "+e0.getArguments());
  }

  public void PositionInQueHasChanged(_DAXAudioTalkEventsEvent e0){
//      System.out.println("PositionInQueHasChanged "+e0.getArguments());
  }
  public void ParticipantsChanged(_DAXAudioTalkEventsEvent e0){
//System.out.println("=================audio user changed "+m_audioControl.getParticipants());
    for(int i = 0; i < m_listener.size(); i++){
      _DAXAudioTalkEventsListener dl = (_DAXAudioTalkEventsListener)m_listener.elementAt(i);
      if(dl != null) dl.ParticipantsChanged(e0);
    }
  }
  public void ParticipantSpeakingIndication(_DAXAudioTalkEventsEvent e0){
//System.out.println("....speaking "+((AudioTalkOCX)e0.getSource()).GetLocalLabel());
    for(int i = 0; i < m_listener.size(); i++){
       _DAXAudioTalkEventsListener dl = (_DAXAudioTalkEventsListener)m_listener.elementAt(i);
      dl.ParticipantSpeakingIndication(e0);
    }
  }

  public void ParticipantIsMuted(_DAXAudioTalkEventsEvent e0){
//      System.out.println("ParticipantIsMuted "+e0.getArguments());
  }
  public void FloorRequested(_DAXAudioTalkEventsEvent e0){
//      System.out.println("FloorRequested "+e0.getArguments());
  }
  public void ConnectionStatusChanged(_DAXAudioTalkEventsEvent e0){
//      System.out.println("ConnectionStatusChanged "+e0.getArguments());
  }
  public void ConferenceMessageReceived(_DAXAudioTalkEventsEvent e0){
//      System.out.println("ConferenceMessageReceived "+e0.getArguments());
  }
}