package com.anabas.pdasharedlet;

/**
 * Title:        EchoTest.java
 * Description:  testing module, which echoes incoming message.
 * Copyright:    Copyright (c) 2001
 * Company:      CSIT FSU
 * @author       Sangyoon Oh soh@csit.fsu.edu
 * @version 1.0
 */

 import java.util.*;

 public class EchoTest {

  /**
   * Echo incoming message back to client
   *
   * @param   incoming HHMP byte[] and length of it
   */
  public void echo(byte[] b, int i) {
    Hashtable hashtable = new Hashtable();
    String s = new String(b);
    System.out.println(s);

    // retrieve information
    hashtable.put("mid", new String(b, 0, 1));
    hashtable.put("aid", new String(b, 1, 1));
    hashtable.put("tid", new String(b, 2, 1));
    hashtable.put("eid", new String(b, 3, 2));
    String edata = new String(b, 5, i-5 );
    String temp = " --> request";
    hashtable.put("edata", edata + temp);

    // call sendHHMP of PAdaptor
    parent.setHHMP(hashtable);
  }

  public EchoTest(PAdaptor p) {
    parent = p;
  }

  protected PAdaptor parent;
 }