package com.anabas.pdasharedlet;

/**
 * Title:        GSDListener.java
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      CSIT FSU
 * @author       Sangyoon Oh soh@csit.fsu.edu
 * @version 1.0
 */

import com.anabas.concepts.*;
import com.anabas.sharedlet.*;
import com.anabas.util.misc.LogManager;
import com.anabas.gxo.*;
import com.anabas.naming.*;

import com.anabas.sdsharedlet.*;

public class GSDListener extends Thread {

  private PdaControlView pcv;
  private SDSharedlet m_sdsharedlet;

  public GSDListener(PdaControlView o_pcv, SDSharedlet o_sdsharedlet) {

    this.pcv = o_pcv;
    this.m_sdsharedlet = o_sdsharedlet;
    this.run();
  }

  public void run() {
    try {
      Thread.sleep(5000);
    }
    catch(InterruptedException e) {
      System.out.println(e.toString() );
    }

    SDBitmap sdbitmap = m_sdsharedlet.getBitmap(0);
//    System.out.println(sdbitmap);
  }
}